# generated by cabal-rpm-1.0.3
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name half
%global pkgver %{pkg_name}-%{version}

%global _devel -%{?ghc_devel_prof}%{!?ghc_devel_prof:devel}

%bcond_without tests

Name:           ghc-%{pkg_name}
Version:        0.3
Release:        3%{?dist}
Summary:        Half-precision floating-point

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
# End cabal-rpm sources
Patch0:         https://github.com/ekmett/half/commit/f54013c26214890a1d3ad564937884b3bcc7c890.patch
Patch1:         https://github.com/ekmett/half/commit/2cb1e838620dbcedaa5e1d461c6c67dd56d6343d.patch

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-base%{_devel}
BuildRequires:  ghc-deepseq%{_devel}
BuildRequires:  ghc-template-haskell%{_devel}
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-hspec-devel
%endif
# End cabal-rpm deps

%description
Half-precision floating-point.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver}
# End cabal-rpm setup
%patch0 -p1 -b .orig
%patch1 -p1 -b .orig


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install


%check
%cabal_test


%if 0%{?fedora} < 31 || 0%{?rhel} < 8
%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache
%endif


%files -f %{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files devel -f %{name}-devel.files
%doc CHANGELOG.markdown README.markdown


%if %{with haddock}
%files doc -f %{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Dec 28 2019 Jens Petersen <petersen@redhat.com> - 0.3-2
- upstream patches to fix testsuite on i686
  https://github.com/ekmett/half/issues/22

* Tue Dec 10 2019 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.3-1
- spec file generated by cabal-rpm-1.0.2
